<?php

// Add a nonce field
wp_nonce_field('teambot_roadmap_meta_box', 'teambot_roadmap_meta_box_nonce');

// Get the current value of the custom field
$current_value = get_post_meta($post->ID, '_teambot-project', true);

?>
<label for="teambot-project">Project:</label>
<div>
    <select style="min-width: 150px;" name="teambot-project" id="teambot-project" required>';
        <option value=""></option>
        <?php foreach ($projects as $project) : ?>
            <option value="<?= $project['id'] ?>" <?= selected($current_value, $project['id'], false) ?>><?= $project['name'] ?></option>
        <?php endforeach; ?>
    </select>
</div>