<?php
    $list = null;
?>
<div class="teambot-roadmap">
    <div class="teambot-roadmap-menu">
        <?php foreach($roadmap['lists'] as $id => $item): ?>
            <button 
                data-id="<?php echo $item['id']; ?>" 
                class="teambot-roadmap-menu-item <?php if(is_null($list)): echo 'teambot-roadmap-menu-item-active'; $list = $id; endif; ?>" 
                type="button"
            >
                <?php echo $item['name']; ?>
            </button>
        <?php endforeach; ?>
    </div>

    <div class="teambot-roadmap-list">
        <?php foreach($roadmap['lists'] as $id => $item): ?>
            <div id="teambot-roadmap-list-<?php echo $item['id']; ?>" class="teambot-roadmap-list-tasks" <?php if($list != $id): echo 'style="display:none;"'; endif;?> >
                
                <h3>Coming soon</h3>

                <ol class="teambot-roadmap-cs-list">
                    <?php foreach($item['tasks'] as $task): ?>
                        <?php if(!$task['completed']): ?>
                            <li class="teambot-roadmap-task" >
                                <span><?php echo $task['name']; ?></span>

                                <?php if($task['dueDate']): ?>
                                    <?php 
                                        $dateParts = explode('-', $task['dueDate']);   
                                        
                                        $quarter = null;

                                        $month = intval($dateParts[1]);

                                        if ($month >= 1 && $month <= 3) {
                                            $quarter =  "Q1";
                                        } else if ($month >= 4 && $month <= 6) {
                                            $quarter =  "Q2";
                                        } else if ($month >= 7 && $month <= 9) {
                                            $quarter =  "Q3";
                                        } else {
                                            $quarter =  "Q4";
                                        }
                                    ?>
                                    <span class="roadmap-quarter"><?= $quarter ?> <?= $dateParts[0] ?></span>
                                <?php endif; ?>
                            </li>
                        <?php endif; ?>
                    <?php endforeach; ?>
                </ol>

                <hr class="teambot-roadmap-divider">

                <h3>Recently Completed</h3>

                <ul class="teambot-roadmap-rc-list">
                    <?php foreach($item['tasks'] as $task): ?>
                        <?php if($task['completed']): ?>
                            <li class="teambot-roadmap-task" >
                                <?php echo $task['name']; ?>
                            </li>
                        <?php endif; ?>
                    <?php endforeach; ?>
                </ul>

            </div>
        <?php endforeach; ?>
    </div>
</div>